<template>
    <div>
      <sign-installment v-if="$pdl.supplementary.installment.status === 1"></sign-installment>
      <installment-need-to-be-payed v-if="$pdl.supplementary.installment.status === 2"></installment-need-to-be-payed>
      <schedule-of-payments v-if="[3,4,5].includes($pdl.supplementary.installment.status)" @back="$emit('back')"></schedule-of-payments>
    </div>
</template>

<script>
  import SignInstallment from './SignInstallment'
  import InstallmentNeedToBePayed from './InstallmentNeedToBePayed'
  import ScheduleOfPayments from './ScheduleOfPayments'
  export default {
    name: 'index',
    components: {
      SignInstallment,
      InstallmentNeedToBePayed,
      ScheduleOfPayments
    }
  }
</script>

<style scoped>

</style>
